| escpos-php

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | List of all members
Mike42\Escpos\PrintConnectors\PrintConnector Interface Reference
Inheritance diagram for Mike42\Escpos\PrintConnectors\PrintConnector:
[legend]

## Public Member Functions
| __destruct ()
| finalize ()
| read ($len)
| write ($data)

## Detailed Description

Interface passed to Escpos class for receiving print data. Print connectors are responsible for transporting this to the actual printer.

## Constructor & Destructor Documentation

Mike42\Escpos\PrintConnectors\PrintConnector::__destruct | ( |  | ) |

Print connectors should cause a NOTICE if they are deconstructed when they have not been finalized.

Implemented in Mike42\Escpos\PrintConnectors\WindowsPrintConnector, Mike42\Escpos\PrintConnectors\CupsPrintConnector, Mike42\Escpos\PrintConnectors\ApiPrintConnector, Mike42\Escpos\PrintConnectors\DummyPrintConnector, and Mike42\Escpos\PrintConnectors\FilePrintConnector.

## Member Function Documentation

Mike42\Escpos\PrintConnectors\PrintConnector::finalize | ( |  | ) |

Finish using this print connector (close file, socket, send accumulated output, etc).

Implemented in Mike42\Escpos\PrintConnectors\WindowsPrintConnector, Mike42\Escpos\PrintConnectors\CupsPrintConnector, Mike42\Escpos\PrintConnectors\DummyPrintConnector, and Mike42\Escpos\PrintConnectors\FilePrintConnector.

Mike42\Escpos\PrintConnectors\PrintConnector::read | ( |  | $len | ) |

Read data from the printer.

Parameters

  string | $len | Length of data to read.

Returns
  Data read from the printer, or false where reading is not possible.

Implemented in Mike42\Escpos\PrintConnectors\WindowsPrintConnector, Mike42\Escpos\PrintConnectors\CupsPrintConnector, Mike42\Escpos\PrintConnectors\ApiPrintConnector, Mike42\Escpos\PrintConnectors\DummyPrintConnector, and Mike42\Escpos\PrintConnectors\FilePrintConnector.

Mike42\Escpos\PrintConnectors\PrintConnector::write | ( |  | $data | ) |

Write data to the print connector.

Parameters

  string | $data | The data to write

Implemented in Mike42\Escpos\PrintConnectors\WindowsPrintConnector, Mike42\Escpos\PrintConnectors\CupsPrintConnector, Mike42\Escpos\PrintConnectors\ApiPrintConnector, Mike42\Escpos\PrintConnectors\FilePrintConnector, and Mike42\Escpos\PrintConnectors\DummyPrintConnector.

The documentation for this interface was generated from the following file:

- C:/www/aplusnet/incahellas.com/public_html/lib/escpos-php-development/src/Mike42/Escpos/PrintConnectors/PrintConnector.php